#### Description:

This is a family of functions which test whether an Object is a member of the class called <Class >, or of any class derived from it.

#### Synopsis

int astIsA <Class >( const Ast <Class > ∗this )

#### Parameters:

##### this

Pointer to the Object.

#### Applicability

##### Object

These functions apply to all Objects.

#### Returned Value

##### astIsA <Class >()

One if the Object belongs to the class called <Class > (or to a class derived from it), otherwise zero.

#### Examples:

member = astIsAFrame( obj );

  Tests whether Object `"` obj`"` is a member of the Frame class, or of any class derived from a Frame.

#### Notes:

- Every AST class provides a function (astIsA <Class >) of this form, where <Class > should be replaced by the class name.

- This function attempts to execute even if the AST error status is set on entry, although no further error report will be made if it subsequently fails under these circumstances.

- A value of zero will be returned if this function should fail for any reason. In particular, it will fail if the pointer supplied does not identify an Object of any sort.

Copyright (C) 2021 East Asian Observatory